/**
* Describes the state of the game, i.e. the positions of the sheeps and wolf
**/
class WuSGameState
{
  private String[] sheepPositions = {
    "A1", "B1", "C1", "D1"
  }; //positions of the sheeps
  private String wolfPosition ="";

  /**
   * sets the position of the wolf
   **/
  public void setWolfPosition(String pos)
  {
    this.wolfPosition = pos;
  }

  /**
   * return an 7x8 array, where every entry is one field of the game
   * value is 0 if there is no sheep on the field, 1 otherwise
   **/
  public int[][] getSheepPositionsArray()
  {
    int [][] positionsArray = new int[7][8];
    for (int i=0;i<7;i++)
      for (int j=0;j<8;j++)
        positionsArray[i][j]=0; //initialize array with zeros
    //parse each sheep position
    for (String sheep: sheepPositions)
    {
      //System.out.print(sheep+": ");
      int[] tmp = stringPositionToArray(sheep);
      positionsArray[tmp[0]][tmp[1]]=1; //set the field where the sheep is located to 1
      //System.out.println("["+row+"]["+column+"]=1");
    }
    return positionsArray;
  }
  
  /**
  * Returns the sheep position in a String Array
  **/
  public String[] getSheepPositions()
  {
    return this.sheepPositions;
  }
  
  /**
  * return the position of the wolf in array form
  **/
  public int[] getWolfPositionArray()
  {
    if (wolfPosition=="")
      return new int[] {-1,-1};
    else
      return stringPositionToArray(wolfPosition);
  }
  
  /**
  * set the new position of the sheep number n
  **/
  boolean setSheepPosition(int n, String newPosition)
  {
    for(int i=0;i<4;i++)
    {
      if(i!=n && sheepPositions[i]== newPosition)
        return false; //this field is already taken
    }
    sheepPositions[n]=newPosition;
    return true;
  }
}

